Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

tag.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: tag.php 7344 2001-09-19 11:49:28Z jb $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28
29 $ini =& eZINI::instance( 'site.ini' );
30
31 $tags = array();
32
33 $tagList =& $ini->read_array( "eZArticleMain", "CustomTags" );
34 foreach ( $tagList as $tag )
35 {
36 $tags[] = new eZXMLRPCStruct( array( "URL" => createURLStruct( "ezarticle",
37 "tag",
38 0 ),
39 "Name" => new eZXMLRPCString( $tag ) ) );
40 }
41
42 $part_arr = array( "Offset" => new eZXMLRPCInt( 0 ),
43 "Total" => new eZXMLRPCInt( count( $tagList ) ),
44 "Begin" => new eZXMLRPCBool( true ),
45 "End" => new eZXMLRPCBool( true ) );
46 $part = new eZXMLRPCStruct( $part_arr );
47
48 $ReturnData = new eZXMLRPCStruct( array( "Catalogues" => array(),
49 "Elements" => $tags,
50 "Part" => $part ) );
51 ?>
eZXMLRPCBool
Definition: ezxmlrpcbool.php:37
eZXMLRPCInt
Definition: ezxmlrpcint.php:37
eZXMLRPCString
Definition: ezxmlrpcstring.php:37
eZXMLRPCStruct
Definition: ezxmlrpcstruct.php:37
$ReturnData
$ReturnData
Definition: tag.php:48
$tagList
$tagList
Definition: tag.php:33
$tags
$tags
Definition: tag.php:31
$ini
$ini
Definition: tag.php:29
$part
$part
Definition: tag.php:46
$part_arr
foreach( $tagList as $tag) $part_arr
Definition: tag.php:42
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.